Bug 727013 - sonic-visualiser: FTBFS against qt-4.8.0-beta1
Summary: sonic-visualiser: FTBFS against qt-4.8.0-beta1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sonic-visualiser
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: qt-4.8
TreeView+ depends on / blocked
 
Reported: 2011-08-01 02:54 UTC by Rex Dieter
Modified: 2013-10-04 12:25 UTC (History)
3 users (show)

Fixed In Version: redland-1.0.14-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-22 15:13:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-19717 None None None Never

Description Rex Dieter 2011-08-01 02:54:20 UTC
snippet:

o/moc_AudioCallbackPlaySource.cpp: In static member function 'static void AudioCallbackPlaySource::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)':
o/moc_AudioCallbackPlaySource.cpp:72:80: error: cannot convert from base 'QObject' to derived type 'AudioCallbackPlaySource' via virtual base 'QObject'

full logs:

https://koji.fedoraproject.org/koji/taskinfo?taskID=3242401

Comment 1 Kevin Kofler 2011-08-01 03:07:22 UTC
This is basically the same problem as in bug #724846 and bug #725077.

Comment 2 Rex Dieter 2011-08-01 03:19:13 UTC
thought so, thanks.

Comment 3 Fedora Update System 2011-08-10 15:06:58 UTC
redland-1.0.14-1.fc16, rasqal-0.9.26-1.fc16, raptor2-2.0.4-2.fc16, raptor-1.4.21-10.fc16, soprano-2.7.0-1.fc16, sonic-visualiser-1.8-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/sonic-visualiser-1.8-3.fc16,soprano-2.7.0-1.fc16,redland-1.0.14-1.fc16,rasqal-0.9.26-1.fc16,raptor2-2.0.4-2.fc16,raptor-1.4.21-10.fc16

Comment 4 Fedora Update System 2011-08-10 20:45:45 UTC
Package redland-1.0.14-1.fc16, rasqal-0.9.26-1.fc16, raptor2-2.0.4-2.fc16, raptor-1.4.21-10.fc16, soprano-2.7.0-1.fc16, sonic-visualiser-1.8-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing redland-1.0.14-1.fc16 rasqal-0.9.26-1.fc16 raptor2-2.0.4-2.fc16 raptor-1.4.21-10.fc16 soprano-2.7.0-1.fc16 sonic-visualiser-1.8-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/sonic-visualiser-1.8-3.fc16,soprano-2.7.0-1.fc16,redland-1.0.14-1.fc16,rasqal-0.9.26-1.fc16,raptor2-2.0.4-2.fc16,raptor-1.4.21-10.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-08-22 15:13:28 UTC
redland-1.0.14-1.fc16, rasqal-0.9.26-1.fc16, raptor2-2.0.4-2.fc16, raptor-1.4.21-10.fc16, soprano-2.7.0-1.fc16, sonic-visualiser-1.8-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Red Hat Bugzilla 2013-10-04 00:20:38 UTC
Removing external tracker bug with the id '19717' as it is not valid for this tracker


Note You need to log in before you can comment on or make changes to this bug.